# TODO
# - forcing our cflags breaks build
%define pre beta2
%define	rel 2
Summary:	KeePassX - Cross Platform Password Manager
Summary(pl.UTF-8):	KeePassX - Wieloplatformowy zarządca haseł
Name:		keepassx
Version:	2.0
Release:	0.%{pre}.%{rel}
License:	GPL v2+
Group:		X11/Applications
#Source0:	http://downloads.sourceforge.net/keepassx/keepassx-%{version}.tar.gz
Source0:	http://www.keepassx.org/dev/attachments/download/115/keepassx-%{version}-%{pre}.tar.gz
# Source0-md5:	95114e6719d12eb9a1e3ac618b7bd275
Patch0:		git.patch
URL:		http://keepassx.sourceforge.net/
BuildRequires:	Qt5Core-devel >= 5.2.0
BuildRequires:	Qt5Concurrent-devel >= 5.2.0
BuildRequires:	Qt5Widgets-devel >= 5.2.0
BuildRequires:	Qt5Test-devel >= 5.2.0
BuildRequires:	Qt5X11Extras-devel >= 5.2.0
BuildRequires:	cmake >= 2.8.12
BuildRequires:	libgcrypt-devel >= 1.6
BuildRequires:	qt5-build >= 5.2.0
BuildRequires:	qt5-linguist >= 5.2.0
BuildRequires:	qt5-qmake >= 5.2.0
BuildRequires:	rpmbuild(macros) >= 1.230
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	zlib-devel
Requires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	shared-mime-info
Obsoletes:	KeePassX
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KeePassX is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

%description -l pl.UTF-8
KeePassX to darmowy i mający otwarte źródła zarządca do przechowywania
haseł, który pozwala na zarządzanie hasłami w bardzo bezpieczny
sposób. Pozwala umieścić wszystkie swoje hasła w jednej bazie, która
jest zabezpieczona poprzez jedno bardzo trudne hasło albo dysk z
kluczem. Wystarczy więc zapamiętać jedno trudne hasło lub umieścić
dysk z kluczem aby odblokować całą bazę z kluczami. Baza jest
zaszyfrowana najlepszymi i najbardziej bezpiecznymi algorytmami
szyfrowania jakie są do tej pory znane (AES i TwoFish).

%prep
%setup -q -n %{name}-%{version}-%{pre}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%update_mime_database

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%update_mime_database

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/keepassx
%{_datadir}/mime/packages/keepassx.xml
%{_desktopdir}/keepassx.desktop
%dir %{_datadir}/keepassx
%{_datadir}/keepassx/icons
%dir %{_datadir}/keepassx/translations
%{_datadir}/keepassx/translations/keepassx_en_plurals.qm
%lang(cs) %{_datadir}/keepassx/translations/keepassx_cs.qm
%lang(da) %{_datadir}/keepassx/translations/keepassx_da.qm
%lang(de) %{_datadir}/keepassx/translations/keepassx_de.qm
%lang(es) %{_datadir}/keepassx/translations/keepassx_es.qm
%lang(fr) %{_datadir}/keepassx/translations/keepassx_fr.qm
%lang(id) %{_datadir}/keepassx/translations/keepassx_id.qm
%lang(it) %{_datadir}/keepassx/translations/keepassx_it.qm
%lang(ja) %{_datadir}/keepassx/translations/keepassx_ja.qm
%lang(nl) %{_datadir}/keepassx/translations/keepassx_nl_NL.qm
%lang(pt_PT) %{_datadir}/keepassx/translations/keepassx_pt_PT.qm
%lang(ru) %{_datadir}/keepassx/translations/keepassx_ru.qm
%lang(sv) %{_datadir}/keepassx/translations/keepassx_sv.qm
%lang(zh_CN) %{_datadir}/keepassx/translations/keepassx_zh_CN.qm
%lang(zh_TW) %{_datadir}/keepassx/translations/keepassx_zh_TW.qm
%dir %{_libdir}/keepassx
%attr(755,root,root) %{_libdir}/keepassx/libkeepassx-autotype-xcb.so
%{_iconsdir}/hicolor/*x*/apps/keepassx.png
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-keepassx.png
%{_iconsdir}/hicolor/scalable/apps/keepassx.svgz
%changelog
* Sun Oct 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/keepassx.git;a=log;h=master

* Sun Oct 11 2015 Jan Rękorajski <baggins@pld-linux.org> 28c3672
- restore git patch; rel 2

* Sun Oct 11 2015 Jan Rękorajski <baggins@pld-linux.org> a8dc126
- up to 2.0 beta 2

* Sat Jan 24 2015 Elan Ruusamäe <glen@delfi.ee> d3ddb77
- rel 2

* Sat Jan 24 2015 Elan Ruusamäe <glen@delfi.ee> e902ed1
- rename to keepassx

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> dddba08
- added update to current git master
- updated BRs

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> e656460
- rel 1

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> e334b5b
- updated to 2.0-alpha6

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> 194bc16
- use png icon

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> c638693
- desktop integration stuff

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> 6928501
- %lang tag language files

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> d96d522
- use our cc, but not cflags yet

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> ef91f5a
- gcc fixes from fedora

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> 665923e
- no qt4-designer needed

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> b08c8c2
- gcc fixes from fedora

* Fri Nov 18 2011 Jacek Konieczny <jajcus@pld-linux.org> 12fc2b0
- do not pack KDE3  'mimelnk' file (pulls kde3support, not installable in Th)
- Release: 2

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 7e8bf49
- 0.4.3

* Fri Feb 05 2010 Szymon Siwek <sls@pld-linux.org> 470f027
- packaged mime* stuff, TODO done

* Fri Jan 22 2010 Szymon Siwek <sls@pld-linux.org> 9da828e
- rel. 1
- unpackaged files

* Fri Jan 22 2010 Szymon Siwek <sls@pld-linux.org> 00f2063
- ver. 0.4.1

* Tue Nov 25 2008 duddits <duddits@pld-linux.org> 503e4d8
- up to 0.3.4

